BizKitHub
DocsAPI ReferenceBff/bff/shipment/list
getBffAdmin BFF

/bff/shipment/list

No description provided.

bffgetBffShipmentList

Parameters

12 query

Query parameters

· 12
carrierIdstringOptional
Exampleexample_carrierId
carrierConfigurationExternalIdstringOptional
Exampleexample_carrierConfigurationExternalId
statesstringOptional
Exampleexample_states
orderExternalIdstringOptional
Exampleexample_orderExternalId
trackingNumberQuerystringOptional
Exampleexample_trackingNumberQuery
filterFulltextQuerystringOptional
Exampleexample_filterFulltextQuery
orderBystringOptional
Exampleexample_orderBy
dateFromstringOptional
Exampleexample_dateFrom
dateTostringOptional
Exampleexample_dateTo
needsAttentionstringOptional

1 / true = only stuck or recently failed / returned parcels.

Exampleexample_needsAttention
pagestringOptional
Exampleexample_page
limitstringOptional
Exampleexample_limit

Response schema

1 status code documented

200Success

This response returns no JSON body.

Response example

application/json
{
  "success": true
}

Request example

GET /bff/shipment/list

get
curl -X GET "https://api.bizkithub.com/bff/shipment/list?carrierId=example_carrierId&carrierConfigurationExternalId=example_carrierConfigurationExternalId&states=example_states&orderExternalId=example_orderExternalId&trackingNumberQuery=example_trackingNumberQuery&filterFulltextQuery=example_filterFulltextQuery&orderBy=example_orderBy&dateFrom=example_dateFrom&dateTo=example_dateTo&needsAttention=example_needsAttention&page=example_page&limit=example_limit" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY"

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key